## com.mysql.jdbc
Class NotImplemented

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.sql.SQLException
                  com.mysql.jdbc.NotImplemented

All Implemented Interfaces:
  java.io.Serializable, java.lang.Iterable<java.lang.Throwable>

    public class NotImplemented

extends java.sql.SQLException

Thrown from methods not required to be implemented.

See Also:
  Serialized Form

Field Summary
`(package private) static long` `serialVersionUID`

Constructor Summary
`NotImplemented()` Creates a new NotImplemented object.

Method Summary

Methods inherited from class java.sql.SQLException
`getErrorCode, getNextException, getSQLState, iterator, setNextException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    static final long serialVersionUID

See Also:
  Constant Field Values

Constructor Detail

### NotImplemented

    public NotImplemented()

  Creates a new NotImplemented object.